"use strict";

exports.__esModule = true;
exports.getUUID = void 0;

var S4 = function S4() {
  return ((1 + Math.random()) * 0x10000 | 0).toString(16).substring(1);
};
/**
 * ---
 * 生成UUID<br/>
 * @function getUUID
 * @static
 * @returns {string}
 * @example 01 生成UUID
 * --------------------------------------------------------------------------
 * import {getUUID} from '@riil-frontend/utils';
 * getUUID() result // 94ddda53-e67d-1b92-6e12-295ed71b246d
 */


var getUUID = function getUUID() {
  return S4() + S4() + "-" + S4() + "-" + S4() + "-" + S4() + "-" + S4() + S4() + S4();
};

exports.getUUID = getUUID;